// TbEdit.cpp : implementation file
//

#include "stdafx.h"
#include "wincvs.h"
#include "TbEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTbEdit

CTbEdit::CTbEdit()
{
}

CTbEdit::~CTbEdit()
{
}


BEGIN_MESSAGE_MAP(CTbEdit, CEdit)
	//{{AFX_MSG_MAP(CTbEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTbEdit message handlers


BOOL CTbEdit::PreTranslateMessage(MSG* pMsg) 
{
	if (pMsg->message == WM_KEYDOWN)
	{
		int nVirtKey = (int) pMsg->wParam;
		switch (nVirtKey)
		{
			case VK_ESCAPE:
				GetOwner()->PostMessage(WM_CONTENTCHANGE, FALSE);
				break;
			case VK_RETURN:
				GetOwner()->PostMessage(WM_CONTENTCHANGE, TRUE);
				break;
		}
	}	
	return CEdit::PreTranslateMessage(pMsg);
}

